//------------------------------------------------------------------------------
// <copyright company="Telligent Systems">
//     Copyright (c) Telligent Systems Corporation.  All rights reserved.
// </copyright> 
//------------------------------------------------------------------------------

using System;
using System.Web.UI;
using System.Web.UI.WebControls;

using CommunityServer.Components;
using CommunityServer.Discussions.Components;

namespace CommunityServer.Discussions.Controls 
{
    /// <summary>
    /// Summary description for PostAttachment.
    /// </summary>
    public class PostAttachment : WebControl 
    {
        ForumPost post;
        //string attachment = "<b>Attachment</b>: <a href=\"{0}\">{1}</a>";
        string attachment = ResourceManager.GetString("PostFlatView_Attachment") + "<a href=\"{0}\">{1}</a>";

        protected override void Render(HtmlTextWriter writer) 
        {

            if (!this.Post.HasAttachment)
                return;

            writer.Write(attachment, ForumUrls.Instance().PostAttachment(this.Post.PostID), this.Post.AttachmentFilename);
        }

        public ForumPost Post 
        {
            get 
            {
                if ( post == null ) 
                {
                    Object state = ViewState["Post"];
                    if ( state != null ) 
                    {
                        Int32 postID = (Int32)state;
                        post = Posts.GetPost( postID, CSContext.Current.User.UserID, false );
                    }
                }
                return post;
            }
            set 
            {
                post = value;
                if ( post != null ) 
                {
                    ViewState[ "Post" ] = post.PostID;
                } 
                else 
                {
                    ViewState.Remove( "Post" );
                }
            }
        }

    }
}
